Loading...
Searching...
No Matches
RDKit::RDTypeTag::detail Namespace Reference

## Classes

union | Value

## Functions

template<class T>
T * | valuePtrCast (Value value)
template<>
std::any * | valuePtrCast< std::any > (Value value)
template<>
std::string * | valuePtrCast< std::string > (Value value)
template<>
std::vector< double > * | valuePtrCast< std::vector< double > > (Value value)
template<>
std::vector< float > * | valuePtrCast< std::vector< float > > (Value value)
template<>
std::vector< int > * | valuePtrCast< std::vector< int > > (Value value)
template<>
std::vector< unsigned int > * | valuePtrCast< std::vector< unsigned int > > (Value value)
template<>
std::vector< std::string > * | valuePtrCast< std::vector< std::string > > (Value value)

## Function Documentation

## valuePtrCast()

template<class T>

T * RDKit::RDTypeTag::detail::valuePtrCast | ( | Value | value | ) |

inline

Definition at line 180 of file RDValue-taggedunion.h.

References RDKit::RDTypeTag::detail::Value::a.

Referenced by RDKit::RDValue::ptrCast().

## valuePtrCast< std::any >()

template<>

std::any * RDKit::RDTypeTag::detail::valuePtrCast< std::any > | ( | Value | value | ) |

inline

Definition at line 184 of file RDValue-taggedunion.h.

References RDKit::RDTypeTag::detail::Value::a.

## valuePtrCast< std::string >()

template<>

std::string * RDKit::RDTypeTag::detail::valuePtrCast< std::string > | ( | Value | value | ) |

inline

Definition at line 189 of file RDValue-taggedunion.h.

References RDKit::RDTypeTag::detail::Value::s.

## valuePtrCast< std::vector< double > >()

template<>

std::vector< double > * RDKit::RDTypeTag::detail::valuePtrCast< std::vector< double > > | ( | Value | value | ) |

inline

Definition at line 189 of file RDValue-taggedunion.h.

## valuePtrCast< std::vector< float > >()

template<>

std::vector< float > * RDKit::RDTypeTag::detail::valuePtrCast< std::vector< float > > | ( | Value | value | ) |

inline

Definition at line 189 of file RDValue-taggedunion.h.

## valuePtrCast< std::vector< int > >()

template<>

std::vector< int > * RDKit::RDTypeTag::detail::valuePtrCast< std::vector< int > > | ( | Value | value | ) |

inline

Definition at line 189 of file RDValue-taggedunion.h.

## valuePtrCast< std::vector< std::string > >()

template<>

std::vector< std::string > * RDKit::RDTypeTag::detail::valuePtrCast< std::vector< std::string > > | ( | Value | value | ) |

inline

Definition at line 189 of file RDValue-taggedunion.h.

## valuePtrCast< std::vector< unsigned int > >()

template<>

std::vector< unsigned int > * RDKit::RDTypeTag::detail::valuePtrCast< std::vector< unsigned int > > | ( | Value | value | ) |

inline

Definition at line 189 of file RDValue-taggedunion.h.